create schema mytest;
set schema mytest;

create library qaTmudfLib file '<mydir>/qaTmudfTest.so';

create table mytable1 (a decimal(9,2));
create table mytable2 (a decimal(9,2) unsigned);
insert into mytable1 values (17.17);
insert into mytable2 values (18.18);
select * from mytable1;
select * From mytable2;

create table_mapping function qaTmudfGeneral1()
returns (o1 decimal(9,2))
external name 'QA_TMUDF'
language cpp
library qaTmudfLib;

create table_mapping function qaTmudfGeneral2()
returns (o2 decimal(9,2) unsigned)
external name 'QA_TMUDF'
language cpp
library qaTmudfLib;

select * from UDF(qaTmudfGeneral1(TABLE(select * from mytable1)));
select * from UDF(qaTmudfGeneral2(TABLE(select * from mytable2)));

drop function qaTmudfGeneral1 cascade;
drop function qaTmudfGeneral2 cascade;
drop library qaTmudfLib cascade;
drop schema mytest cascade;

