#include "sqludr.h"

using namespace tmudr;

class QATmudf : public UDR
{
public:
  QATmudf ();

  void describeParamsAndColumns(UDRInvocationInfo &info);
  void processData(UDRInvocationInfo &info,
                   UDRPlanInfo &plan);
};

extern "C" UDR * QA_TMUDF(const UDRInvocationInfo *info)
{
  return new QATmudf();
}

QATmudf::QATmudf()
{
}


void QATmudf::describeParamsAndColumns(UDRInvocationInfo &info)
{
}

void QATmudf::processData(UDRInvocationInfo &info, UDRPlanInfo &plan)
{
  while (getNextRow(info))
  {
    for (int i = 0; i < info.in().getNumColumns(); i++)
      info.out().setLong(i, info.in().getLong(i));

    emitRow(info);
  }
}


